Page MenuHomePhabricator

AboutTopicRenderer, OtherProjectsSidebarGeneratorFactory::getOtherProjectsSidebarGenerator() must be an instance of UsageAccumulator, undefined variable given
Closed, ResolvedPublic5 Estimate Story Points

Description

Started with this weeks train so wmf.12

Currently at the top of fatalmonitor

PHP Fatal Error: Argument 1 passed to Wikibase\Client\Hooks\OtherProjectsSidebarGeneratorFactory::getOtherProjectsSidebarGenerator() must be an instance of Wikibase\Client\Usage\UsageAccumulator, undefined variable given

#0 /srv/mediawiki/php-1.33.0-wmf.12/extensions/ArticlePlaceholder/includes/AboutTopicRenderer.php(249): NO_FUNCTION_GIVEN()
#1 /srv/mediawiki/php-1.33.0-wmf.12/extensions/ArticlePlaceholder/includes/AboutTopicRenderer.php(118): ArticlePlaceholder\AboutTopicRenderer->setOtherProjectsLinks(Wikibase\DataModel\Entity\ItemId, OutputPage)
#2 /srv/mediawiki/php-1.33.0-wmf.12/extensions/ArticlePlaceholder/includes/Specials/SpecialAboutTopic.php(173): ArticlePlaceholder\AboutTopicRenderer->showPlaceholder(Wikibase\DataModel\Entity\ItemId, Language, User, OutputPage)
#3 /srv/mediawiki/php-1.33.0-wmf.12/extensions/ArticlePlaceholder/includes/Specials/SpecialAboutTopic.php(130): ArticlePlaceholder\Specials\SpecialAboutTopic->showContent(string)
#4 /srv/mediawiki/php-1.33.0-wmf.12/includes/specialpage/SpecialPage.php(569): ArticlePlaceholder\Specials\SpecialAboutTopic->execute(string)
#5 /srv/mediawiki/php-1.33.0-wmf.12/includes/specialpage/SpecialPageFactory.php(558): SpecialPage->run(string)
#6 /srv/mediawiki/php-1.33.0-wmf.12/includes/MediaWiki.php(288): MediaWiki\Special\SpecialPageFactory->executePath(Title, RequestContext)
#7 /srv/mediawiki/php-1.33.0-wmf.12/includes/MediaWiki.php(862): MediaWiki->performRequest()
#8 /srv/mediawiki/php-1.33.0-wmf.12/includes/MediaWiki.php(517): MediaWiki->main()
#9 /srv/mediawiki/php-1.33.0-wmf.12/index.php(42): MediaWiki->run()
#10 /srv/mediawiki/w/index.php(3): include(string)
#11 {main}

Acceptance criteria:

  • ArticlePlaceholder tests should run in Wikibase CI T213815
  • Stacktrace should no happen

Details

Related Gerrit Patches:
mediawiki/extensions/ArticlePlaceholder : wmf/1.33.0-wmf.13Pass a usageAccumulator to SidebarGenerator
mediawiki/extensions/ArticlePlaceholder : masterPass a usageAccumulator to SidebarGenerator
mediawiki/extensions/ArticlePlaceholder : masterDNM: dummy change to test CI

Event Timeline

Addshore created this task.Jan 14 2019, 5:27 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 14 2019, 5:27 PM
Addshore triaged this task as Medium priority.Jan 14 2019, 5:27 PM
Addshore updated the task description. (Show Details)
Addshore moved this task from Incoming to Ready to estimate on the Wikidata-Campsite board.
Addshore updated the task description. (Show Details)Jan 15 2019, 1:48 PM
Addshore set the point value for this task to 5.

Change 484426 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/ArticlePlaceholder@master] DNM: dummy change to test CI

https://gerrit.wikimedia.org/r/484426

Change 484426 abandoned by Lucas Werkmeister (WMDE):
DNM: dummy change to test CI

Reason:
test over, CI did fail (see T213739)

https://gerrit.wikimedia.org/r/484426

Addshore raised the priority of this task from Medium to Unbreak Now!.Jan 21 2019, 8:48 AM
Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptJan 21 2019, 8:48 AM
Addshore claimed this task.Jan 21 2019, 8:48 AM
Restricted Application added a project: User-Addshore. · View Herald TranscriptJan 21 2019, 8:48 AM

Change 485590 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/ArticlePlaceholder@master] Pass a usageAccumulator to SidebarGenerator

https://gerrit.wikimedia.org/r/485590

Change 485592 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/ArticlePlaceholder@wmf/1.33.0-wmf.13] Pass a usageAccumulator to SidebarGenerator

https://gerrit.wikimedia.org/r/485592

Change 485590 merged by jenkins-bot:
[mediawiki/extensions/ArticlePlaceholder@master] Pass a usageAccumulator to SidebarGenerator

https://gerrit.wikimedia.org/r/485590

Change 485592 merged by jenkins-bot:
[mediawiki/extensions/ArticlePlaceholder@wmf/1.33.0-wmf.13] Pass a usageAccumulator to SidebarGenerator

https://gerrit.wikimedia.org/r/485592

Mentioned in SAL (#wikimedia-operations) [2019-01-21T10:26:03Z] <addshore@deploy1001> Synchronized php-1.33.0-wmf.13/extensions/ArticlePlaceholder/includes/AboutTopicRenderer.php: T213739 Pass a usageAccumulator to SidebarGenerator (duration: 00m 47s)

Addshore lowered the priority of this task from Unbreak Now! to High.Jan 21 2019, 10:31 AM
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:08 PM